Last Comment Bug 596110 - Malformed font leads to crash in Apple's libTrueTypeScaler [@fnt_ALIGNRP]
: Malformed font leads to crash in Apple's libTrueTypeScaler [@fnt_ALIGNRP]
Status: VERIFIED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
:
Mentors:
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
 
Reported: 2010-09-13 18:31 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13-fixed
.16-fixed


Attachments
testcase (123.63 KB, application/zip)
2010-09-13 18:31 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (13.85 KB, text/plain)
2010-09-13 18:32 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-09-13 18:31:02 PDT
Created attachment 474946 [details]
testcase

Tag: b'fpgm' Checksum: 0x00010645 Offset:  348/0x0000015c Length: 950

Table: b'fpgm'
Number of replaced values: 2
Offset:   313/0x000139	Value: ['ff', 'c4', '40', '0f']
Offset:   895/0x00037f	Value: ['00', '00', '00', '01']

The decompiled fpgm table is included in the archive.
Comment 1 Christoph Diehl [:posidron] 2010-09-13 18:32:09 PDT
Created attachment 474947 [details]
callstack
Comment 2 John Daggett (:jtd) 2010-09-28 23:26:34 PDT
Fixed in 10.6.5 10H542 (seed build)
Comment 3 Jonathan Kew (:jfkthame) 2010-09-29 04:44:36 PDT
This will be fixed by the OTS sanitizer (bug 527276).
Comment 4 Al Billings [:abillings] 2010-11-18 14:05:53 PST
Verified fixed in 1.9.2.13 with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6;
en-US; rv:1.9.2.13pre) Gecko/20101118 Namoroka/3.6.13pre using testcase. Test
no longer crashes as it does in 1.9.2.12.
Comment 5 Al Billings [:abillings] 2010-11-18 14:06:42 PST
Oops, typo in the wrong tab. I haven't verified this yet as I need to find a 10.6.4 machine.
Comment 6 Al Billings [:abillings] 2010-11-19 17:36:16 PST
Verified fixed for 1.9.2.13 with Mozilla/5.0 (Macintosh; U; Intel Mac OS X
10.6; en-US; rv:1.9.2.13pre) Gecko/20101119 Namoroka/3.6.13pre. Crashes in
1.9.2.12 when run on OS X 10.6.4.

Note You need to log in before you can comment on or make changes to this bug.